package cz.kebrt.unitcheck.ant;

/**
 * Represents Ant configuration of a JPF property.
 *
 * @author michal
 */
public class JPFProperty {

    private String key;
    private String value;

    // =================================================================================
    // The following methods correspond to elements and attributes supported by the task
    // =================================================================================

    /**
     * Sets the key of a property.
     *
     * @param key key of a property
     */
    public void setKey(String key) {
        this.key = key;
    }

    /**
     * Sets the value of a property.
     *
     * @param value value of a property
     */
    public void setValue(String value) {
        this.value = value;
    }

    /**
     * Returns the key of a property.
     *
     * @return key of a property
     */
    public String getKey() {
        return key;
    }

    /**
     * Sets the value of a property.
     *
     * @return value of a property
     */
    public String getValue() {
        return value;
    }

}
